rte_port_sym_crypto_writer_nodrop_params(3)

NAME
rte_port_sym_crypto_writer_nodrop_params

SYNOPSIS

#include <rte_port_sym_crypto.h>

  Data Fields

uint8_t cryptodev_id
uint16_t queue_id
uint16_t crypto_op_offset
uint32_t tx_burst_sz
uint32_t n_retries

Detailed Description

Crypto_writer_nodrop port parameters.

Definition at line 68 of file rte_port_sym_crypto.h.

Field Documentation

  uint8_t cryptodev_id
Target cryptodev ID.

Definition at line 70 of file rte_port_sym_crypto.h.

  uint16_t queue_id
Target cryptodev queue pair id.

Definition at line 73 of file rte_port_sym_crypto.h.

  uint16_t crypto_op_offset
Offset to rte_crypto_op in the mbufs.

Definition at line 76 of file rte_port_sym_crypto.h.

  uint32_t tx_burst_sz
Burst size to crypto interface.

Definition at line 79 of file rte_port_sym_crypto.h.

  uint32_t n_retries
Maximum number of retries, 0 for no limit.

Definition at line 82 of file rte_port_sym_crypto.h.

Author

Generated automatically by Doxygen for DPDK from the source code.